### Method

# Ide Debugger list_params_async

#### Declaration

    void
    ide_debugger_list_params_async (
      IdeDebugger* self,
      IdeDebuggerThread* thread,
      IdeDebuggerFrame* frame,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Requests the debugger backend to list the parameters to the given stack frame.

Available since: | 3.32

#### Parameters

`thread` | `IdeDebuggerThread`
| An `IdeDebuggerThread`.
| The data is owned by the caller of the function.
`frame` | `IdeDebuggerFrame`
| An `IdeDebuggerFrame`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to call once the operation has finished.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.